| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CaptureInfoDialog Class Reference

A dialog displaying real-time information and statistics during a capture. More...

`#include <capture_info_dialog.h>`

Inheritance diagram for CaptureInfoDialog:

## Public Member Functions
| CaptureInfoDialog (struct _capture_info *cap_info, struct _capture_session *cap_session, QWidget *parent=0)
| Constructs a new CaptureInfoDialog.
| ~CaptureInfoDialog ()
| Destroys the CaptureInfoDialog.
void | updateInfo (void)
| Updates the dialog with the latest capture information.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Additional Inherited Members
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Detailed Description

A dialog displaying real-time information and statistics during a capture.

## Constructor & Destructor Documentation

## ◆ CaptureInfoDialog()

CaptureInfoDialog::CaptureInfoDialog | ( | struct _capture_info * | cap_info,
|  | struct _capture_session * | cap_session,
|  | QWidget * | parent = 0 )
| explicit

Constructs a new CaptureInfoDialog.

Parameters

  cap_info | Pointer to the capture information structure.
  cap_session | Pointer to the active capture session.
  parent | The parent widget, defaults to 0.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/capture_info_dialog.h
- /builds/wireshark/wireshark/ui/qt/capture_info_dialog.cpp